<?php
include_once("source/class/class.imprimir.php");
include_once("source/class/class.SYSTEM.php");
session_start();
include_once("source/var/configuration.php");
include_once("source/class/class.menu.php");
include_once("source/class/class.API.php");
include_once("source/class/class.FILE.php");
include_once("source/class/class.ZIP.php");

include_once("step/s1/index.php");
include_once("step/s2/index.php");
include_once("step/s3/index.php");
include_once("step/zip/index.php");
include_once("step/struct/index.php");
include_once("language/".$GLOBALS['_language'].".php");
//---------------------------------------------------
if(!isset($_SESSION['system'])){
	$sistema=new SYSTEM();
	$_SESSION['system']=$sistema;	
}else{
	$_SESSION['system']->buffer();
}
$menu=new menu($GLOBALS['_arrayMenus']);

if(($_GET['step']=='less')&&($_SESSION['npaso']>1)){
		$_SESSION['npaso']=$_SESSION['npaso']-2;
		$n=$_SESSION['npaso'];
		$_SESSION['paso']=$arrayStep[$n];	
}
if(!isset($_SESSION['npaso'])){
	$_SESSION['npaso']=1;
}else{
	if($_SESSION['npaso']<count($GLOBALS['arrayStep'])){
		$_SESSION['paso']=$arrayStep[$_SESSION['npaso']++];
	}
}
	
if(!isset($_SESSION['imp'])){
	$imp=new imprimir('template_web/','design01/');
	$_SESSION['imp']=$imp;
}



//---------------------------------------------------
if($_SESSION['npaso']==1){
	echo showstruct();
}
$menu->imprimir();
//---------------------------------------------------
?>